import { type DomainEvent } from '@modules/shared';

export class SubscriptionAdjustedEvent implements DomainEvent {
  readonly eventName = 'subscription.adjusted_by_admin';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly adminId: string,
    public readonly newPlanId: string,
    public readonly reason: string,
  ) {}
}
